***

title: update_sip_endpoint
slug: /reference/python/rest/fabric/subscribers/update-sip-endpoint
description: Partially update a SIP endpoint for a subscriber.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Partially update a SIP endpoint for a [subscriber](/docs/platform/subscribers). Uses PATCH, so only provided fields are changed.

<EndpointSchemaSnippet endpoint="PATCH /api/fabric/resources/subscribers/{fabric_subscriber_id}/sip_endpoints/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="PATCH /api/fabric/resources/subscribers/{fabric_subscriber_id}/sip_endpoints/{id}" />

## **Example**

```python {9}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

updated = client.fabric.subscribers.update_sip_endpoint(
    "subscriber-id", "endpoint-id", username="new-username",
)
print(f"Updated: {updated['username']}")
```